-- GLOBALS: unpack, select, StaticPopupDialogs

local B, L, T = unpack(select(2, ...))

--[[//////////////////////////////////////////////////

    Utils functions to build anything

----\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\]]

B.U = {}

function B.U.StaticPopupDialogs(name, text, button1, button2, hasMoney, onShow, onAccept)

    StaticPopupDialogs[name] = {

        text = text,
        button1 = button1 or L[8999],
        button2 = button2 or L[8998],
        OnShow = onShow,
        OnAccept = onAccept,
        hasMoneyInputFrame = hasMoney,
        timeout = 0,
        whileDead = true,
        hideOnEscape = true,
        exclusive = true,
        preferredIndex = 3 -- avoid some UI taint, see http://www.wowace.com/announcements/how-to-avoid-some-ui-taint/
    }
end